REMOTETRX(1)

NAME
remotetrx - The SvxLink remote transceiver application

SYNOPSIS
remotetrx [--help] [--daemon] [--logfile=log file] [--config=configuration file] [--pidfile=pid file] [--runasuser=user name]

DESCRIPTION
remotetrx is the SvxLink remote transceiver application. It is used to connect to a receiver and/or transmitter and then the main SvxLink server can connect to the remote transceiver server via TCP/IP to get audio to/from it.

It is also possible to link via RF instead of via TCP/IP. An example use of the latter would be if the repeater is placed in a remote location where there is no network. Then networked remote receivers can be linked up to the repeater via RF from a link site where network is available.

The setup is pretty straight forward. The setup of a receiver or transmitter is done in the same way as in the SvxLink server so use the svxlink.conf(5) manual page as a reference for that. The remotetrx specific configuration is described in the remotetrx.conf(5) manual page.

On the SvxLink server side you need to configure a networked receiver/transmitter. That is described in the svxlink.conf(5) manual page in the Networked Receiver/Transmitter Section. If using multiple receivers you also want to configure a voter and make proper calibration of the signal level detector on each receiver.

OPTIONS

--help
    Print a help message and exit.

--daemon
    Start the SvxLink remote receiver server as a daemon.

--runasuser
    Start RemoteTrx as the specified user. The switch to the new user will happen after the log and pid files has been opened.

--logfile=log file
    Specify a log file to put all output into. Both stdout and stderr will be redirected to the log file.

--pidfile=pid file
    Specify a pid file to write the process ID into.

--config=configuration file
    Specify which configuration file to use.

FILES

/usr/local/etc/svxlink/remotetrx.conf (or deprecated /etc/remotetrx.conf)
    The system wide configuration file. See remotetrx.conf(5) for further details.

~/.svxlink/remotetrx.conf
    Per user configuration file. See remotetrx.conf(5) for further details.

/usr/local/etc/svxlink/remotetrx.d/*
    Additional configuration files. This directory is setup by the CFG_DIR configuration variable.

ENVIRONMENT

ASYNC_AUDIO_NOTRIGGER
    Set this environment variable to 1 if you get an error about ioctl: Broken pipe during remotetrx server startup when using OSS audio.

HOME
    Used to find the per user configuration file.

AUTHOR
Tobias Blomberg (SM0SVX) <sm0svx at users dot sourceforge dot net>

REPORTING BUGS
SvxLink Devel <svxlink-devel at lists dot sourceforge dot net>

SEE ALSO
svxlink(1), remotetrx.conf(5), svxlink.conf(5), siglevdetcal(1)